import os

import testinfra.utils.ansible_runner

import warnings
warnings.filterwarnings("ignore", category=DeprecationWarning)

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')


def test_zigbee2mqtt_running_and_enabled(host):
    zigbee2mqtt = host.service("zigbee2mqtt")
    assert zigbee2mqtt.is_running
    assert zigbee2mqtt.is_enabled
